spacepaste

  1.  
  2. $ python3 mymail.py
  3. Traceback (most recent call last):
  4. File "mymail.py", line 46, in <module>
  5. count_was = update(count_was)
  6. File "mymail.py", line 24, in update
  7. completed_process = subprocess.run(['pass', 'mail/ak'], check=True, stdout=subprocess.PIPE, stderr=subprocess.PIPE, encoding=True);
  8. File "/usr/lib/python3.6/subprocess.py", line 423, in run
  9. with Popen(*popenargs, **kwargs) as process:
  10. File "/usr/lib/python3.6/subprocess.py", line 716, in __init__
  11. encoding=encoding, errors=errors)
  12. TypeError: TextIOWrapper() argument 2 must be str or None, not bool
  13. During handling of the above exception, another exception occurred:
  14. Traceback (most recent call last):
  15. File "mymail.py", line 51, in <module>
  16. except (errors.HttpError, ServerNotFoundError, OSError) as error:
  17. NameError: name 'errors' is not defined
  18.